//Header zu mylcd16x2.c

#ifndef __MYLCD16X2_H__
#define __MYLCD16X2_H__

#include "types.h"




#define LCD_DDRAM 	7		//DDRAM-Adresse








// Hier befinden sich die Eigenschaften der LCD-Anzeige fr die Initialisierung
byte LCD_INIT_STRING[] = {0x28, 0x0D, 0x01, 0x07};
// 44 = FunktionSet 44 = 0010 1000 = 0x28
// 0, 15 = Display an, Cursor sichtbar, Blink an 1101 = 
// 0, 1	= clear Display 
// 0, 7 = Entry mode set 0111



//Wartearray fr Initialisierung
byte wait[] = {6500,15,15};
//5ms, 110us, 110us







/////////////Prototypen////////////



void lcd_send_nibble( byte n );

void lcd_send_byte( byte address, byte n );

void lcd_init(void);

void lcd_gotoxy( byte x, byte y);

void lcd_putc(char f);

void lcd_send_command(byte cmd);

void lcd_send_data(byte data);

void wait_busy(void);

void Return_Home(void);


#endif //__MYLCD16X2_H__

